> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Settlement Config

Update the settlement configuration for the authenticated integrator.


## OpenAPI

````yaml PATCH /api/v3/integrator/settlement-config
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/integrator/settlement-config:
    patch:
      tags:
        - INTEGRATOR
      operationId: IntegratorController_updateMySettlementConfig_api/v3
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntegratorUpdateSettlementConfigDto'
      responses:
        '200':
          description: ''
      security:
        - JWT: []
components:
  schemas:
    IntegratorUpdateSettlementConfigDto:
      type: object
      properties:
        defaultBalanceSource:
          type: string
          description: Default balance source pre-selected on the request form
          enum:
            - PAYOUT
            - DEPOSIT
            - ADMIN_SELECT
        defaultCurrency:
          type: string
          description: >-
            Default settlement currency when integrator has multi-currency
            wallets
          example: KES
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````